Bug 73906 - (perl-Bit-Vector) Does not work when installed with an umask of 077 and messes filesystem
(perl-Bit-Vector) Does not work when installed with an umask of 077 and messe...
Product: Red Hat Linux
Classification: Retired
Component: perl-Bit-Vector (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
Depends On:
  Show dependency treegraph
Reported: 2002-09-13 09:45 EDT by Enrico Scholz
Modified: 2007-04-18 12:46 EDT (History)
1 user (show)

See Also:
Fixed In Version: 6.4-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-05-28 03:26:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2002-09-13 09:45:57 EDT
Description of Problem:

Because this package contains unowned directories, they will be created
with the current umask. When having restrictive administrator settings
(umask 077) ordinary user will not have access to them and can not use

Another problem occurs when removing packages. Then orphaned directories
are remaining.

| $ rpm -qf /usr/lib/perl5/vendor_perl/5.8.0/i386-linux-thread-multi/Bit/Vector /usr/lib/perl5/vendor_perl/5.8.0/i386-linux-thread-multi/Bit/Vector/Overload.pm
| file /usr/lib/perl5/vendor_perl/5.8.0/i386-linux-thread-multi/Bit/Vector is not owned by any package
| perl-Bit-Vector-6.1-26

Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. umask 077
2. make sure that perl-Bit-Vector is uninstalled completely
   (rm -rf /usr/lib/perl5/vendor_perl/5.8.0/i386-linux-thread-multi/Bit/Vector)
3. rpm -U perl-Bit-Vector-6.1-26.*
4. ls -l /usr/lib/perl5/vendor_perl/5.8.0/i386-linux-thread-multi/Bit/Vector
5. start perl script using this module
6. rpm -e perl-Bit-Vector-6.1-26

Actual Results:

| drwx------    2 root     root         4096 Sep 13 12:28 /usr/lib/perl5/vendor_perl/5.8.0/i386-linux-thread-multi/Bit/Vector

at 4; script can not find package at 5 and
still exists after 6.
Comment 1 Warren Togami 2005-05-28 02:46:45 EDT
Still an issue in FC4?
Comment 2 Ville Skyttä 2005-05-28 03:26:46 EDT
Nope, Jose's cleanup fixed this.

Note You need to log in before you can comment on or make changes to this bug.